%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-contacts
Version:	3.22.1
Release:	%mkrel 1
Summary:	Contacts manager for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv2+
URL:		https://wiki.gnome.org/ThreePointOne/Features/Contacts
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	intltool
BuildRequires:	vala >= 0.13.0
BuildRequires:	vala-tools
BuildRequires:	pkgconfig(cheese)
BuildRequires:	pkgconfig(cheese-gtk) >= 3.3.91
BuildRequires:	pkgconfig(folks) >= 0.9.5
BuildRequires:	pkgconfig(folks-eds)
BuildRequires:	pkgconfig(folks-telepathy)
BuildRequires:	pkgconfig(gdk-x11-3.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(glib-2.0) >= 2.37.6
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.11
BuildRequires:	pkgconfig(libebook-1.2) >= 3.5.3
BuildRequires:	pkgconfig(libedataserver-1.2) >= 3.5.3
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	pkgconfig(champlain-0.12)
Requires:	telepathy-mission-control

%description
Standalone contacts manager for GNOME desktop.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make V=1

%install
%makeinstall_std

#fix .desktop file
desktop-file-edit %{buildroot}%{_datadir}/applications/org.gnome.Contacts.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/%{name}
%{_libexecdir}/gnome-contacts-search-provider
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/org.gnome.Contacts.desktop
%{_datadir}/dbus-1/services/org.gnome.Contacts.SearchProvider.service
%{_datadir}/dbus-1/services/org.gnome.Contacts.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Contacts.search-provider.ini
%{_datadir}/appdata/org.gnome.Contacts.appdata.xml
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Sep 21 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1055015
- new version 3.22.1

* Tue May 17 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 1016519
- new version 3.20.0

* Thu Feb 25 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 979115
- new version 3.19.91

* Sun Feb 14 2016 umeabot <umeabot> 3.18.1-2.mga6
+ Revision: 960335
- Mageia 6 Mass Rebuild

* Thu Nov 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 902704
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882787
- new release

* Wed Aug 26 2015 sander85 <sander85> 3.16.2-3.mga6
+ Revision: 869805
- Rebuild for evolution-data-server 3.17.90

* Fri Jul 24 2015 sander85 <sander85> 3.16.2-2.mga6
+ Revision: 856924
- Rebuild for new gnome-desktop3

* Mon Jun 22 2015 ovitters <ovitters> 3.16.2-1.mga6
+ Revision: 839604
- new version 3.16.2

* Wed Feb 18 2015 luigiwalser <luigiwalser> 3.14.2-2.mga5
+ Revision: 815677
- rebuild for evolution-data-server

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796298
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 748189
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738310
- new version 3.14.1

* Sun Sep 28 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731400
- new version 3.14.0
- new version 3.13.92

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

* Tue Sep 02 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670946
- new version 3.13.91

* Mon Aug 18 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665087
- new version 3.13.90

* Wed Jul 30 2014 pterjan <pterjan> 3.13.3-2.mga5
+ Revision: 658279
- Rebuild for new evolution-data-server

* Thu Jun 26 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 640169
- new version 3.13.3

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607817
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604699
- new version 3.11.92

* Sat Mar 01 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 598311
- new version 3.11.91

* Mon Feb 24 2014 tv <tv> 3.11.90-2.mga5
+ Revision: 596545
- rebuild for new libgnome-desktop

* Sat Feb 15 2014 dams <dams> 3.11.90-1.mga5
+ Revision: 592398
- new version 3.11.90

* Sat Nov 09 2013 ovitters <ovitters> 3.10.1-3.mga4
+ Revision: 550160
- fix url

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 545082
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 500734
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10-1.mga4
+ Revision: 484405
- new version 3.10

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480849
- new version 3.9.92
- drop merged patch

* Wed Sep 04 2013 dams <dams> 3.9.91-1.mga4
+ Revision: 475002
- fix bad translations (patch from fedora)

  + ovitters <ovitters>
    - new version 3.9.91

* Mon Sep 02 2013 ennael <ennael> 3.9.90-2.mga4
+ Revision: 474373
- Rebuild against new gnome-desktop3

* Tue Aug 27 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 472231
- bump req

  + ovitters <ovitters>
    - new version 3.9.90

* Sun Aug 18 2013 fwang <fwang> 3.9.5-2.mga4
+ Revision: 467510
- rebuild for new eds

* Mon Jul 29 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460545
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458145
- new version 3.9.4

* Mon Jul 15 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 454845
- new version 3.8.3

* Wed May 29 2013 dams <dams> 3.8.2-1.mga4
+ Revision: 432861
- new version 3.8.2

* Sat May 25 2013 tv <tv> 3.8.1-1.mga4
+ Revision: 427229
- BR vala-tools

  + ovitters <ovitters>
    - fix br
    - new version 3.8.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 352065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317318
- new version 3.6.2

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306044
- new version 3.6.1

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297095
- new version 3.6.0

* Mon Sep 17 2012 fwang <fwang> 3.5.92-1.mga3
+ Revision: 295312
- br latest cheese

  + ovitters <ovitters>
    - new version 3.5.92

* Wed Sep 05 2012 fwang <fwang> 3.5.91-2.mga3
+ Revision: 288287
- rebuild for new cheese

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288158
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282632
- new version 3.5.90

* Sun Jul 29 2012 ovitters <ovitters> 3.5.4.1-1.mga3
+ Revision: 275840
- don't run libtoolize anymore
- new version 3.5.4.1
- fix folks br
- update file list
- new version 3.5.4

* Sun Jul 15 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 270938
- new version 3.5.3

* Mon Apr 30 2012 ovitters <ovitters> 3.4.1-1.mga3
+ Revision: 234372
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226869
- new version 3.4.0

* Wed Mar 21 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225165
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219134
- new version 3.3.91

* Mon Feb 20 2012 wally <wally> 3.3.90-1.mga2
+ Revision: 211223
- new version 3.3.90

* Mon Feb 06 2012 fwang <fwang> 3.3.4-1.mga2
+ Revision: 205320
- update file list
- drop merged patch
- new version 3.3.4

* Tue Jan 17 2012 wally <wally> 3.3.3-1.mga2
+ Revision: 197416
- new version 3.3.3
- rediff str fmt patch, P0

* Tue Dec 20 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 184910
- new version 3.3.1
- add P0 to fix str fmt

* Mon Nov 21 2011 fwang <fwang> 3.2.2-3.mga2
+ Revision: 170393
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 3.2.2-2.mga2
+ Revision: 159498
- rebuild for new evo

* Thu Oct 20 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 156985
- new version 3.2.2
- remove Unity from OnlyShowIn list in desktop file

* Tue Oct 18 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 156385
- rebuild for new folks

* Tue Oct 18 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 156289
- drop upstream applied patch
- new version 3.2.1

* Tue Oct 18 2011 wally <wally> 3.2.0.1-2.mga2
+ Revision: 156255
- rebuild for new folks

* Mon Sep 26 2011 fwang <fwang> 3.2.0.1-1.mga2
+ Revision: 148730
- more str fmt fix
- new version 3.2.0.1
- mor str fmt fix
- fix str fmt
- new version 3.2.0

* Tue Sep 20 2011 fwang <fwang> 0.1.5.2-1.mga2
+ Revision: 146010
- new version 0.1.5.2

* Tue Sep 20 2011 fwang <fwang> 0.1.5.1-1.mga2
+ Revision: 145969
- new version 0.1.5.1

* Mon Sep 19 2011 fwang <fwang> 0.1.5-1.mga2
+ Revision: 145518
- update br
- new version 0.1.5

* Fri Sep 09 2011 wally <wally> 0.1.4.1-1.mga2
+ Revision: 141720
- rediff P0
- require telepathy-mission-control
- new version 0.1.4.1
- bump folks dep

* Wed Aug 31 2011 fwang <fwang> 0.1.3-1.mga2
+ Revision: 136880
- fix str fmt
- new version 0.1.3

  + wally <wally>
    - imported package gnome-contacts

